Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84694 - service named restart does not work correctly
Summary: service named restart does not work correctly
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: bind
Version: 8.0
Hardware: athlon
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-20 17:32 UTC by Alessandro Polverini
Modified: 2007-04-18 16:51 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-25 20:47:13 UTC


Attachments (Terms of Use)

Description Alessandro Polverini 2003-02-20 17:32:44 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
Hello,
I have a caching-only name server on my machine, with only added reverse-ip
mapping for local networks (192.168. and 10.).

If I give the following command:

service named restart

I have this output:

Stopping named:
named: already running[root@japot home]#

If I issue the same command again I get:

Stopping named: rndc: connect failed: connection refused
                                                           [FAILED]
Starting named:                                            [  OK  ]

So it seems the "service" does not wait enough to shut down bind, before
restarting it.

I tested the same thing on Phoebe beta3 but I have similar results.

Thanks,
Alex

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.service named restart
    

Additional info: none


Note You need to log in before you can comment on or make changes to this bug.